// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.4
// source: EntryTask.proto

package src

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// EntryTaskClient is the client API for EntryTask service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type EntryTaskClient interface {
	Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error)
	UpdateNickName(ctx context.Context, in *UpdateNickNameRequest, opts ...grpc.CallOption) (*UpdateNickNameResponse, error)
	UpdatePicture(ctx context.Context, in *UpdatePictureRequest, opts ...grpc.CallOption) (*UpdatePictureResponse, error)
}

type entryTaskClient struct {
	cc grpc.ClientConnInterface
}

func NewEntryTaskClient(cc grpc.ClientConnInterface) EntryTaskClient {
	return &entryTaskClient{cc}
}

func (c *entryTaskClient) Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error) {
	out := new(LoginResponse)
	err := c.cc.Invoke(ctx, "/task.EntryTask/Login", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *entryTaskClient) UpdateNickName(ctx context.Context, in *UpdateNickNameRequest, opts ...grpc.CallOption) (*UpdateNickNameResponse, error) {
	out := new(UpdateNickNameResponse)
	err := c.cc.Invoke(ctx, "/task.EntryTask/UpdateNickName", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *entryTaskClient) UpdatePicture(ctx context.Context, in *UpdatePictureRequest, opts ...grpc.CallOption) (*UpdatePictureResponse, error) {
	out := new(UpdatePictureResponse)
	err := c.cc.Invoke(ctx, "/task.EntryTask/UpdatePicture", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// EntryTaskServer is the server API for EntryTask service.
// All implementations must embed UnimplementedEntryTaskServer
// for forward compatibility
type EntryTaskServer interface {
	Login(context.Context, *LoginRequest) (*LoginResponse, error)
	UpdateNickName(context.Context, *UpdateNickNameRequest) (*UpdateNickNameResponse, error)
	UpdatePicture(context.Context, *UpdatePictureRequest) (*UpdatePictureResponse, error)
	MustEmbedUnimplementedEntryTaskServer()
}

// UnimplementedEntryTaskServer must be embedded to have forward compatible implementations.
type UnimplementedEntryTaskServer struct {
}

func (UnimplementedEntryTaskServer) Login(context.Context, *LoginRequest) (*LoginResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Login not implemented")
}
func (UnimplementedEntryTaskServer) UpdateNickName(context.Context, *UpdateNickNameRequest) (*UpdateNickNameResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateNickName not implemented")
}
func (UnimplementedEntryTaskServer) UpdatePicture(context.Context, *UpdatePictureRequest) (*UpdatePictureResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdatePicture not implemented")
}
func (UnimplementedEntryTaskServer) MustEmbedUnimplementedEntryTaskServer() {}

// UnsafeEntryTaskServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to EntryTaskServer will
// result in compilation errors.
type UnsafeEntryTaskServer interface {
	MustEmbedUnimplementedEntryTaskServer()
}

func RegisterEntryTaskServer(s grpc.ServiceRegistrar, srv EntryTaskServer) {
	s.RegisterService(&EntryTask_ServiceDesc, srv)
}

func _EntryTask_Login_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EntryTaskServer).Login(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/task.EntryTask/Login",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EntryTaskServer).Login(ctx, req.(*LoginRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EntryTask_UpdateNickName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateNickNameRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EntryTaskServer).UpdateNickName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/task.EntryTask/UpdateNickName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EntryTaskServer).UpdateNickName(ctx, req.(*UpdateNickNameRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _EntryTask_UpdatePicture_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdatePictureRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(EntryTaskServer).UpdatePicture(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/task.EntryTask/UpdatePicture",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(EntryTaskServer).UpdatePicture(ctx, req.(*UpdatePictureRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// EntryTask_ServiceDesc is the grpc.ServiceDesc for EntryTask service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var EntryTask_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "task.EntryTask",
	HandlerType: (*EntryTaskServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Login",
			Handler:    _EntryTask_Login_Handler,
		},
		{
			MethodName: "UpdateNickName",
			Handler:    _EntryTask_UpdateNickName_Handler,
		},
		{
			MethodName: "UpdatePicture",
			Handler:    _EntryTask_UpdatePicture_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "EntryTask.proto",
}
